using OpenCvSharp;
using VisionBuilder.UI.Common.Processing;

namespace VisionBuilder.UI.Recipes.HawkeyeRecipe;

public class EmptyImageSource: IImageSource
{

    public Task<Mat> GetImage(CancellationToken token)
    {
        return Task.FromResult(new Mat(480, 640, MatType.CV_8UC3, Scalar.Black));
    }
}